* {
  box-sizing: border-box;
}

body {
  padding-top: 30px;
  display: flex;
  min-height: 100vh;
  flex-direction: column;
}

img {
  display: block;
  max-width: 100%;
  margin: 0 auto;
}

.navbar.navbar-default {
  .navbar-nav.navbar-right {
    li.dropdown {
      padding-left: 20px;

      .dropdown-submenu {
        position: relative;
        & > .dropdown-menu {
          top: 0;
          right: 100%;
          margin-top: -6px;
          margin-right: -1px;
          -webkit-border-radius: 0 6px 6px 6px;
          -moz-border-radius: 0 6px 6px;
          border-radius: 0 6px 6px 6px;
        }
        & > a:after {
          display: block;
          content: " ";
          float: left;
          width: 0;
          height: 0;
          border-color: transparent;
          border-style: solid;
          border-width: 5px 5px 5px 0;
          border-right-color: #ccc;
          margin-top: 5px;
          margin-left: -10px;
        }
        &.pull-left {
          float: none;
          & > .dropdown-menu {
            left: -100%;
            margin-left: 10px;
            -webkit-border-radius: 6px 0 6px 6px;
            -moz-border-radius: 6px 0 6px 6px;
            border-radius: 6px 0 6px 6px;
          }

        }
        &:hover > .dropdown-menu {
          display: block;
        }
        &:hover > a:after {
          border-left-color: #fff;
        }
      }

      a.main-user-info {
        padding-left: 40px;
        &::before {
          content: "";
          position: absolute;
          top: 50%;
          left: 20px;
          -webkit-transform: translate(-50%, -50%);
          -moz-transform: translate(-50%, -50%);
          -ms-transform: translate(-50%, -50%);
          -o-transform: translate(-50%, -50%);
          height: 20px;
          width: 20px;
          background: url("/web/images/people/man.png") no-repeat;
          background-size: contain;
        }
      }
    }
  }
}

.main-container {
  flex: 1;
  margin-top: 20px;

}


